Index: tmp/org.txm.utils/src/org/txm/utils/logger/LocalizedLogger.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/logger/LocalizedLogger.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/logger/LocalizedLogger.java	(revision 2402)
@@ -46,17 +46,16 @@
 	 * private Logger logger; private Localizer localizer;
 	 * 
 	 * // TODO : manage elsewhere the log configuration! static {
-	 * BasicConfigurator.configure();
-	 * Logger.getRootLogger().setLevel(Level.INFO); }
+	 * BasicConfigurator.configure(); Logger.getRootLogger().setLevel(Level.INFO); }
 	 * 
-	 * public LocalizedLogger(Class<?> clazz) { logger =
-	 * Logger.getLogger(clazz); localizer = new Localizer(clazz); }
+	 * public LocalizedLogger(Class<?> clazz) { logger = Logger.getLogger(clazz);
+	 * localizer = new Localizer(clazz); }
 	 * 
 	 * public void info(String key, Object[] arg) {
 	 * logger.info(localizer.message(key, arg)); }
 	 * 
-	 * public void info(String key, Object arg) {
-	 * logger.info(localizer.message(key, arg)); }
+	 * public void info(String key, Object arg) { logger.info(localizer.message(key,
+	 * arg)); }
 	 * 
 	 * public void info(String key) { logger.info(localizer.message(key)); }
 	 * 
Index: tmp/org.txm.utils/src/org/txm/utils/logger/TXMLogger.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/logger/TXMLogger.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/logger/TXMLogger.java	(revision 2402)
@@ -18,152 +18,160 @@
 // You should have received a copy of the GNU General
 // Public License along with the TXM platform. If not, see
 // http://www.gnu.org/licenses.
-
-//
-// This file is part of the TXM platform.
-//
-// The TXM platform is free software: you can redistribute it and/or modif y
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation, either version 3 of the License, or
-// (at your option) any later version.
-//
-// The TXM platform is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
-// 
-// 
-// 
-// $LastChangedDate: 2013-09-05 09:27:13 +0200 (jeu., 05 sept. 2013) $
-// $LastChangedRevision: 2529 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.utils.logger;
-
+
+//
+// This file is part of the TXM platform.
+//
+// The TXM platform is free software: you can redistribute it and/or modif y
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// The TXM platform is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
+// 
+// 
+// 
+// $LastChangedDate: 2013-09-05 09:27:13 +0200 (jeu., 05 sept. 2013) $
+// $LastChangedRevision: 2529 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.utils.logger;
+
 import java.util.logging.Filter;
 import java.util.logging.Handler;
 import java.util.logging.Level;
 import java.util.logging.LogRecord;
-import java.util.logging.Logger;
-
+import java.util.logging.Logger;
 
-/**
- * no instanciation to do manage better Exceptions' log.
- *
- * @author mdecorde
- */
-public class TXMLogger extends Logger {
+/**
+ * no instanciation to do manage better Exceptions' log.
+ *
+ * @author mdecorde
+ */
+public class TXMLogger extends Logger {
 
 	/** The caller information. */
 	protected static String sourceMethodName;
 	protected static String sourceClassName;
-	
-	/**
-	 * Instantiates a new tXM logger.
-	 *
-	 * @param name the name
-	 * @param resourceBundleName the resource bundle name
-	 */
-	protected TXMLogger(String name, String resourceBundleName) {
-		super(name, resourceBundleName);
-	}
-
-	/**
-	 * Info.
-	 *
-	 * @param e the e
-	 */
-	public void info(Exception e) {
-		this.info(exceptionToString(e));
-	}
-
-	/**
-	 * Severe.
-	 *
-	 * @param e the e
-	 */
-	public void severe(Exception e) {
-		this.severe(exceptionToString(e));
-	}
-
-	/**
-	 * Error.
-	 *
-	 * @param e the e
-	 */
-	public void error(Exception e) {
-		this.severe(exceptionToString(e));
-	}
-
-	/**
-	 * Warning.
-	 *
-	 * @param e the e
-	 */
-	public void warning(Exception e) {
-		this.warning(exceptionToString(e));
-	}
-
-	/**
-	 * Fine.
-	 *
-	 * @param e the e
-	 */
-	public void fine(Exception e) {
-		this.fine(exceptionToString(e));
-	}
-
-	/**
-	 * Finer.
-	 *
-	 * @param e the e
-	 */
-	public void finer(Exception e) {
-		this.finer(exceptionToString(e));
-	}
-
-	/**
-	 * Finest.
-	 *
-	 * @param e the e
-	 */
-	public void finest(Exception e) {
-		this.finest(exceptionToString(e));
-	}
-
-	/**
-	 * Exception to string.
-	 *
-	 * @param e the e
-	 * @return the string
-	 */
-	public static String exceptionToString(Exception e) {
-		StackTraceElement t = e.getStackTrace()[0];
-		return t.getFileName() + ": " + t.getMethodName() + ", l." //$NON-NLS-1$ //$NON-NLS-2$
-				+ t.getLineNumber() + " -> " + e.toString(); //$NON-NLS-1$
+
+	/**
+	 * Instantiates a new tXM logger.
+	 *
+	 * @param name
+	 *            the name
+	 * @param resourceBundleName
+	 *            the resource bundle name
+	 */
+	protected TXMLogger(String name, String resourceBundleName) {
+		super(name, resourceBundleName);
 	}
-	
+
 	/**
-	 * Method from Logger
-	 * Create a LogRecord then calls the log method
+	 * Info.
+	 *
+	 * @param e
+	 *            the e
+	 */
+	public void info(Exception e) {
+		this.info(exceptionToString(e));
+	}
+
+	/**
+	 * Severe.
+	 *
+	 * @param e
+	 *            the e
+	 */
+	public void severe(Exception e) {
+		this.severe(exceptionToString(e));
+	}
+
+	/**
+	 * Error.
+	 *
+	 * @param e
+	 *            the e
+	 */
+	public void error(Exception e) {
+		this.severe(exceptionToString(e));
+	}
+
+	/**
+	 * Warning.
+	 *
+	 * @param e
+	 *            the e
+	 */
+	public void warning(Exception e) {
+		this.warning(exceptionToString(e));
+	}
+
+	/**
+	 * Fine.
+	 *
+	 * @param e
+	 *            the e
+	 */
+	public void fine(Exception e) {
+		this.fine(exceptionToString(e));
+	}
+
+	/**
+	 * Finer.
+	 *
+	 * @param e
+	 *            the e
+	 */
+	public void finer(Exception e) {
+		this.finer(exceptionToString(e));
+	}
+
+	/**
+	 * Finest.
+	 *
+	 * @param e
+	 *            the e
+	 */
+	public void finest(Exception e) {
+		this.finest(exceptionToString(e));
+	}
+
+	/**
+	 * Exception to string.
+	 *
+	 * @param e
+	 *            the e
+	 * @return the string
+	 */
+	public static String exceptionToString(Exception e) {
+		StackTraceElement t = e.getStackTrace()[0];
+		return t.getFileName() + ": " + t.getMethodName() + ", l." //$NON-NLS-1$ //$NON-NLS-2$
+				+ t.getLineNumber() + " -> " + e.toString(); //$NON-NLS-1$
+	}
+
+	/**
+	 * Method from Logger Create a LogRecord then calls the log method
 	 * 
 	 * @param level
 	 * @param msg
 	 */
 	public void log(Level level, String msg) {
-        int levelValue = this.getLevel().intValue();
+		int levelValue = this.getLevel().intValue();
 		if (level.intValue() < levelValue || levelValue == Level.OFF.intValue()) {
-            return;
-        }
-        LogRecord lr = new LogRecord(level, msg);
-        inferCaller();
-        lr.setSourceClassName(sourceClassName);
-        lr.setSourceMethodName(sourceMethodName);
-        log(lr);
-    }
+			return;
+		}
+		LogRecord lr = new LogRecord(level, msg);
+		inferCaller();
+		lr.setSourceClassName(sourceClassName);
+		lr.setSourceMethodName(sourceMethodName);
+		log(lr);
+	}
 
 	/**
 	 * Method from Logger to perform a log
@@ -171,46 +179,47 @@
 	 * @param record
 	 */
 	public void log(LogRecord record) {
-        Filter theFilter = this.getFilter();
-        if (theFilter != null && !theFilter.isLoggable(record)) {
-            return;
-        }
+		Filter theFilter = this.getFilter();
+		if (theFilter != null && !theFilter.isLoggable(record)) {
+			return;
+		}
 
-        // Post the LogRecord to all our Handlers, and then to
-        // our parents' handlers, all the way up the tree.
+		// Post the LogRecord to all our Handlers, and then to
+		// our parents' handlers, all the way up the tree.
 
-        Logger logger = this;
-        while (logger != null) {
-            for (Handler handler : logger.getHandlers()) {
-                handler.publish(record);
-            }
+		Logger logger = this;
+		while (logger != null) {
+			for (Handler handler : logger.getHandlers()) {
+				handler.publish(record);
+			}
 
-            if (!logger.getUseParentHandlers()) {
-                break;
-            }
+			if (!logger.getUseParentHandlers()) {
+				break;
+			}
 
-            logger = logger.getParent();
-        }
-    }
-	
+			logger = logger.getParent();
+		}
+	}
+
 	/**
-	 * Method from LogRecord to infer the caller's class and method names 
+	 * Method from LogRecord to infer the caller's class and method names
 	 */
 	protected static final void inferCaller() {
-		//JavaLangAccess access = SharedSecrets.getJavaLangAccess();
-		
+		// JavaLangAccess access = SharedSecrets.getJavaLangAccess();
+
 		Throwable throwable = new Throwable();
 		StackTraceElement[] stack = throwable.getStackTrace();
-		
-		//int depth = access.getStackTraceDepth(throwable); // JAVA 7
+
+		// int depth = access.getStackTraceDepth(throwable); // JAVA 7
 		int depth = stack.length;
-		
+
 		boolean lookingForLogger = true;
 		for (int ix = 0; ix < depth; ix++) {
 			// Calling getStackTraceElement directly prevents the VM
 			// from paying the cost of building the entire stack frame.
-			
-			//StackTraceElement frame = access.getStackTraceElement(throwable, ix); // JAVA7
+
+			// StackTraceElement frame = access.getStackTraceElement(throwable, ix); //
+			// JAVA7
 			StackTraceElement frame = stack[ix];
 			String cname = frame.getClassName();
 			boolean isLoggerImpl = Log.isLoggerImplFrame(cname);
@@ -222,8 +231,7 @@
 			} else {
 				if (!isLoggerImpl) {
 					// skip reflection call
-					if (!cname.startsWith("java.lang.reflect.")
-							&& !cname.startsWith("sun.reflect.")) {
+					if (!cname.startsWith("java.lang.reflect.") && !cname.startsWith("sun.reflect.")) {
 						// We've found the relevant frame.
 						sourceClassName = cname;
 						sourceMethodName = frame.getMethodName();
@@ -234,5 +242,5 @@
 		}
 		// We haven't found a suitable frame, so just punt. This is
 		// OK as we are only committed to making a "best effort" here.
-	}
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.utils/src/org/txm/utils/logger/MessageBox.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/logger/MessageBox.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/logger/MessageBox.java	(revision 2402)
@@ -44,8 +44,10 @@
 	/**
 	 * Severe.
 	 *
-	 * @param title the title
-	 * @param message the message
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
 	 */
 	public static void severe(String title, String message) {
 		if (Log.txm.getLevel().intValue() <= Level.SEVERE.intValue())
@@ -55,8 +57,10 @@
 	/**
 	 * Warning.
 	 *
-	 * @param title the title
-	 * @param message the message
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
 	 */
 	public static void warning(String title, String message) {
 		if (Log.txm.getLevel().intValue() < Level.WARNING.intValue())
@@ -66,8 +70,10 @@
 	/**
 	 * Info.
 	 *
-	 * @param title the title
-	 * @param message the message
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
 	 */
 	public static void info(String title, String message) {
 		if (Log.txm.getLevel().intValue() <= Level.INFO.intValue())
@@ -77,8 +83,10 @@
 	/**
 	 * Fine.
 	 *
-	 * @param title the title
-	 * @param message the message
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
 	 */
 	public static void fine(String title, String message) {
 		if (Log.txm.getLevel().intValue() <= Level.FINE.intValue())
@@ -88,8 +96,10 @@
 	/**
 	 * Finer.
 	 *
-	 * @param title the title
-	 * @param message the message
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
 	 */
 	public static void finer(String title, String message) {
 		if (Log.txm.getLevel().intValue() <= Level.FINER.intValue())
@@ -99,8 +109,10 @@
 	/**
 	 * Finest.
 	 *
-	 * @param title the title
-	 * @param message the message
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
 	 */
 	public static void finest(String title, String message) {
 		if (Log.txm.getLevel().intValue() <= Level.FINEST.intValue())
@@ -110,7 +122,8 @@
 	/**
 	 * Severe.
 	 *
-	 * @param message the message
+	 * @param message
+	 *            the message
 	 */
 	public static void severe(String message) {
 		severe(UtilsCoreMessages.MessageBox_0, message);
@@ -119,7 +132,8 @@
 	/**
 	 * Error.
 	 *
-	 * @param message the message
+	 * @param message
+	 *            the message
 	 */
 	public static void error(String message) {
 		severe(message);
@@ -128,8 +142,10 @@
 	/**
 	 * Error.
 	 *
-	 * @param title the title
-	 * @param message the message
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
 	 */
 	public static void error(String title, String message) {
 		severe(title, message);
@@ -138,7 +154,8 @@
 	/**
 	 * Warning.
 	 *
-	 * @param message the message
+	 * @param message
+	 *            the message
 	 */
 	public static void warning(String message) {
 		warning(UtilsCoreMessages.MessageBox_1, message);
@@ -147,7 +164,8 @@
 	/**
 	 * Info.
 	 *
-	 * @param message the message
+	 * @param message
+	 *            the message
 	 */
 	public static void info(String message) {
 		info(UtilsCoreMessages.MessageBox_2, message);
@@ -156,7 +174,8 @@
 	/**
 	 * Fine.
 	 *
-	 * @param message the message
+	 * @param message
+	 *            the message
 	 */
 	public static void fine(String message) {
 		fine("", message); //$NON-NLS-1$
@@ -165,7 +184,8 @@
 	/**
 	 * Finer.
 	 *
-	 * @param message the message
+	 * @param message
+	 *            the message
 	 */
 	public static void finer(String message) {
 		finer("", message); //$NON-NLS-1$
@@ -174,7 +194,8 @@
 	/**
 	 * Finest.
 	 *
-	 * @param message the message
+	 * @param message
+	 *            the message
 	 */
 	public static void finest(String message) {
 		finest("", message); //$NON-NLS-1$
@@ -183,30 +204,29 @@
 	/**
 	 * Displays a Swing alert pop up (in the Swing thread).
 	 *
-	 * @param title the title
-	 * @param message the message
-	 * @param level the level
+	 * @param title
+	 *            the title
+	 * @param message
+	 *            the message
+	 * @param level
+	 *            the level
 	 */
 	public static void show(final String title, final String message, final int level) {
-		
+
 		SwingUtilities.invokeLater(new Runnable() {
-			
+
 			@Override
 			public void run() {
-				
+
 				if (level > 900) {
-					javax.swing.JOptionPane.showMessageDialog(null, message, title,
-							javax.swing.JOptionPane.ERROR_MESSAGE);
+					javax.swing.JOptionPane.showMessageDialog(null, message, title, javax.swing.JOptionPane.ERROR_MESSAGE);
 				} else if (level > 800) {
-					javax.swing.JOptionPane.showMessageDialog(null, message, title,
-							javax.swing.JOptionPane.WARNING_MESSAGE);
+					javax.swing.JOptionPane.showMessageDialog(null, message, title, javax.swing.JOptionPane.WARNING_MESSAGE);
 				} else if (level > 700) {
-					javax.swing.JOptionPane.showMessageDialog(null, message, title,
-							javax.swing.JOptionPane.INFORMATION_MESSAGE);
+					javax.swing.JOptionPane.showMessageDialog(null, message, title, javax.swing.JOptionPane.INFORMATION_MESSAGE);
 				} else// if (level > 600)
 				{
-					javax.swing.JOptionPane.showMessageDialog(null, message, title,
-							javax.swing.JOptionPane.CLOSED_OPTION);
+					javax.swing.JOptionPane.showMessageDialog(null, message, title, javax.swing.JOptionPane.CLOSED_OPTION);
 				}
 			}
 		});
Index: tmp/org.txm.utils/src/org/txm/utils/logger/Log.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/logger/Log.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/logger/Log.java	(revision 2402)
@@ -41,7 +41,8 @@
 import org.txm.utils.messages.UtilsCoreMessages;
 
 /**
- * The Class Log contains methods to print messages in the console depending on a log level
+ * The Class Log contains methods to print messages in the console depending on
+ * a log level
  * 
  * see the severe(), warning(), info(), fine(), finer() and finest() methods
  * 
@@ -57,17 +58,20 @@
 	/** The fh. */
 	protected static FileHandler fh;
 
-	/** The CONSOLE flags indicates if messages with level < INFO are printed in console*/
+	/**
+	 * The CONSOLE flags indicates if messages with level < INFO are printed in
+	 * console
+	 */
 	public static boolean CONSOLE = false;
 
 	/** The caller information. */
 	protected static String sourceMethodName;
-	protected static String sourceClassName;	
+	protected static String sourceClassName;
 	/** The logger frame list. */
 	protected static List<String> frameList;
 
 	static {
-		//System.out.println("INIT TXMLOGGER");
+		// System.out.println("INIT TXMLOGGER");
 		txm = new TXMLogger("TXMFileLogger", null);
 		txm.setLevel(Level.SEVERE); // default is to show errors
 		txm.setUseParentHandlers(true);
@@ -78,7 +82,8 @@
 	/**
 	 * Sets the level.
 	 * 
-	 * @param l the new level
+	 * @param l
+	 *            the new level
 	 */
 	public static void setLevel(Level l) {
 		txm.setLevel(l);
@@ -87,7 +92,8 @@
 	/**
 	 * Sets the prints the in file.
 	 * 
-	 * @param b the new prints the in file
+	 * @param b
+	 *            the new prints the in file
 	 */
 	public static String setPrintInFile(boolean b) {
 		// System.out.println("set print in file: "+b);
@@ -96,7 +102,7 @@
 			try {
 				SimpleDateFormat f = new SimpleDateFormat("yyyy-MM-dd"); //$NON-NLS-1$
 
-				filename = System.getProperty("java.io.tmpdir")+"/TXM-" + f.format(new Date()) + ".log"; //$NON-NLS-1$ //$NON-NLS-2$
+				filename = System.getProperty("java.io.tmpdir") + "/TXM-" + f.format(new Date()) + ".log"; //$NON-NLS-1$ //$NON-NLS-2$
 
 				fh = new FileHandler(filename, false);
 				System.out.println(UtilsCoreMessages.Log_3 + new File(filename).getAbsolutePath());
@@ -115,22 +121,20 @@
 	}
 
 	static SimpleDateFormat f = new SimpleDateFormat("yyyy-MM-dd"); //$NON-NLS-1$
+
 	/**
 	 * Sets the prints the in file.
 	 * 
-	 * @param b the new prints the in file
+	 * @param b
+	 *            the new prints the in file
 	 */
 	public static void setPrintInFile(boolean b, File logfiledir) {
 		if (b) {
 			if (txm.getHandlers().length == 0 && logfiledir.exists()) {
 				try {
 
-					fh = new FileHandler(
-							logfiledir.getAbsolutePath()
-							+ "/TXM-" + f.format(new Date()) + ".log", false); //$NON-NLS-1$ //$NON-NLS-2$
-					System.out.println(UtilsCoreMessages.Log_5
-							+ logfiledir.getAbsolutePath()
-							+ "TXM-" + f.format(new Date()) + ".log"); //$NON-NLS-2$ //$NON-NLS-1$
+					fh = new FileHandler(logfiledir.getAbsolutePath() + "/TXM-" + f.format(new Date()) + ".log", false); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println(UtilsCoreMessages.Log_5 + logfiledir.getAbsolutePath() + "TXM-" + f.format(new Date()) + ".log"); //$NON-NLS-2$ //$NON-NLS-1$
 					fh.setFormatter(new SimpleFormatter());
 					fh.setEncoding("UTF-8"); //$NON-NLS-1$
 					txm.addHandler(fh);
@@ -154,18 +158,17 @@
 	/**
 	 * To string.
 	 * 
-	 * @param e the e
+	 * @param e
+	 *            the e
 	 * @return the string
 	 */
 	public static String toString(Exception e) {
 		try {
 			StackTraceElement t = e.getStackTrace()[0];
-			if (txm.getLevel().equals(Level.SEVERE)
-					|| txm.getLevel().equals(Level.ALL)) {
+			if (txm.getLevel().equals(Level.SEVERE) || txm.getLevel().equals(Level.ALL)) {
 				StringBuffer message = new StringBuffer();
 
-				message.append(t.getFileName()
-						+ ": " + t.getMethodName() + ", l." //$NON-NLS-1$ //$NON-NLS-2$
+				message.append(t.getFileName() + ": " + t.getMethodName() + ", l." //$NON-NLS-1$ //$NON-NLS-2$
 						+ t.getLineNumber() + " -> " + e.toString()); //$NON-NLS-1$
 
 				if (log_stacktrace_boolean) {
@@ -185,7 +188,8 @@
 	/**
 	 * Sets the prints the in console.
 	 * 
-	 * @param b the new prints the in console
+	 * @param b
+	 *            the new prints the in console
 	 */
 	public static void setPrintInConsole(boolean b) {
 		CONSOLE = b;
@@ -194,17 +198,18 @@
 	/**
 	 * Sets the prints the in console.
 	 * 
-	 * @param b the new prints the in console
+	 * @param b
+	 *            the new prints the in console
 	 */
 	public static boolean getPrintInConsole() {
 		return txm.getUseParentHandlers();
 	}
 
-
 	/**
 	 * Log a severe message using the default flag
 	 * 
-	 * @param t the error to print
+	 * @param t
+	 *            the error to print
 	 */
 	public static void severe(Throwable t) {
 		severe(t.getLocalizedMessage());
@@ -217,7 +222,7 @@
 	 * @param message
 	 */
 	public static void severe(String message) {
-		
+
 		if (Level.SEVERE.intValue() >= txm.getLevel().intValue()) {
 			System.out.println(message);
 
@@ -226,35 +231,38 @@
 			int maxClassNameLength = 0;
 			int maxMethodNameLength = 0;
 
-			for (StackTraceElement t : st) {            
+			for (StackTraceElement t : st) {
 				String cn = t.getClassName();
 				if (cn.startsWith("org.txm.") && !cn.startsWith(Log.class.getName())) {
 					int cns = cn.length();
-					if (cns > maxClassNameLength) maxClassNameLength = cns;
+					if (cns > maxClassNameLength)
+						maxClassNameLength = cns;
 					int mns = t.getMethodName().length();
-					if (mns > maxMethodNameLength) maxMethodNameLength = mns;
+					if (mns > maxMethodNameLength)
+						maxMethodNameLength = mns;
 					stL++;
 				}
 			}
 
-			int stLs = (int)Math.log10(stL)+1;
+			int stLs = (int) Math.log10(stL) + 1;
 			String format = String.format("[%%%dd]  %%%ds.%%%ds  %%s, %%s", stLs, maxClassNameLength, maxMethodNameLength);
 
 			System.out.println("Stacktrace: ");
 			int n = 1;
-			for (StackTraceElement t : st) {            
+			for (StackTraceElement t : st) {
 				if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
 					System.out.println(String.format(format, n++, t.getClassName(), t.getMethodName(), t.getFileName(), t.getLineNumber()));
 				}
 			}
 
-			//			System.out.println("Stacktrace: ");
-			//			int n = 1;
-			//			for (StackTraceElement t : Thread.currentThread().getStackTrace()) {
-			//				if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
-			//					System.out.println(String.format("[%2d]\t",n++)+t);
-			//				}
-			//			}
+			// System.out.println("Stacktrace: ");
+			// int n = 1;
+			// for (StackTraceElement t : Thread.currentThread().getStackTrace()) {
+			// if (t.getClassName().startsWith("org.txm.") &&
+			// !t.getClassName().startsWith(Log.class.getName())) {
+			// System.out.println(String.format("[%2d]\t",n++)+t);
+			// }
+			// }
 		}
 
 		txm.severe(message);
@@ -263,7 +271,8 @@
 	/**
 	 * Log a warning message using the default flag
 	 * 
-	 * @param t the error to print
+	 * @param t
+	 *            the error to print
 	 */
 	public static void warning(Throwable e) {
 		warning(e.getLocalizedMessage());
@@ -278,23 +287,24 @@
 	public static void warning(String message) {
 		if (Level.WARNING.intValue() >= txm.getLevel().intValue()) {
 			System.out.println(message);
-			//			System.out.print("AT: ");
-			//			int n = 1;
-			//			for (StackTraceElement t : Thread.currentThread().getStackTrace()) {
-			//				if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
-			//					System.out.println(t);
-			//					break;
-			//				}
-			//			}
+			// System.out.print("AT: ");
+			// int n = 1;
+			// for (StackTraceElement t : Thread.currentThread().getStackTrace()) {
+			// if (t.getClassName().startsWith("org.txm.") &&
+			// !t.getClassName().startsWith(Log.class.getName())) {
+			// System.out.println(t);
+			// break;
+			// }
+			// }
 		}
 		txm.warning(message);
 	}
 
-
 	/**
 	 * Log an info message using the default flag
 	 * 
-	 * @param t the error to print
+	 * @param t
+	 *            the error to print
 	 */
 	public static void info(Throwable t) {
 		info(t.getLocalizedMessage());
@@ -305,7 +315,8 @@
 	 * Log an info message
 	 * 
 	 * @param message
-	 * @param flag where to print the message
+	 * @param flag
+	 *            where to print the message
 	 */
 	public static void info(String message) {
 		if (Level.INFO.intValue() >= txm.getLevel().intValue()) {
@@ -314,7 +325,6 @@
 		txm.info(message);
 	}
 
-
 	/**
 	 * Logs a finest level message.
 	 * 
@@ -328,7 +338,8 @@
 	}
 
 	/**
-	 * Logs a finest level message adding the class and method of callers stack according to the specified trace depth.
+	 * Logs a finest level message adding the class and method of callers stack
+	 * according to the specified trace depth.
 	 * 
 	 * @param message
 	 * @param stackDepth
@@ -338,22 +349,22 @@
 
 		// Log callers
 		String lead = ""; //$NON-NLS-1$
-		for(int i = 2; i < 10; i++)	{
+		for (int i = 2; i < 10; i++) {
 			lead += " "; //$NON-NLS-1$
 			try {
 				Log.finest(lead + Thread.currentThread().getStackTrace()[i].getClassName() + "." + Thread.currentThread().getStackTrace()[i].getMethodName()); //$NON-NLS-1$
-			}
-			catch (Exception e) {
+			} catch (Exception e) {
 				// nothing to do
 			}
 		}
 	}
-	
+
 	/**
 	 * Log an info message
 	 * 
 	 * @param message
-	 * @param flag where to print the message
+	 * @param flag
+	 *            where to print the message
 	 */
 	public static void fine(String message) {
 		if (CONSOLE && Level.FINE.intValue() >= txm.getLevel().intValue()) {
@@ -366,7 +377,8 @@
 	 * Log an info message
 	 * 
 	 * @param message
-	 * @param flag where to print the message
+	 * @param flag
+	 *            where to print the message
 	 */
 	public static void finer(String message) {
 		if (CONSOLE && Level.FINER.intValue() >= txm.getLevel().intValue()) {
@@ -375,13 +387,13 @@
 		txm.finer(message);
 	}
 
-
 	public static boolean log_stacktrace_boolean = true;
 
 	/**
 	 * Log a stacktrace if the 'Log.log_stacktrace_boolean' is set to true
 	 * 
-	 * @param e the Throwable
+	 * @param e
+	 *            the Throwable
 	 */
 	public static void printStackTrace(Throwable e) {
 		if (log_stacktrace_boolean) {
@@ -394,15 +406,16 @@
 	}
 
 	public static boolean isPrintingErrors() {
-		if (txm == null) return false;
+		if (txm == null)
+			return false;
 		return txm.getLevel().intValue() <= Level.INFO.intValue();
 	}
 
-
 	/**
 	 * Method from LogRecord to determine if a frame is a logger frame
 	 * 
-	 * @param cname the frame
+	 * @param cname
+	 *            the frame
 	 * @return
 	 */
 	protected static boolean isLoggerImplFrame(String cname) {
@@ -419,23 +432,25 @@
 		int maxClassNameLength = 0;
 		int maxMethodNameLength = 0;
 
-		for (StackTraceElement t : st) {            
+		for (StackTraceElement t : st) {
 			String cn = t.getClassName();
 			if (cn.startsWith("org.txm.") && !cn.startsWith(Log.class.getName())) {
 				int cns = cn.length();
-				if (cns > maxClassNameLength) maxClassNameLength = cns;
+				if (cns > maxClassNameLength)
+					maxClassNameLength = cns;
 				int mns = t.getMethodName().length();
-				if (mns > maxMethodNameLength) maxMethodNameLength = mns;
+				if (mns > maxMethodNameLength)
+					maxMethodNameLength = mns;
 				stL++;
 			}
 		}
 
-		int stLs = (int)Math.log10(stL)+1;
+		int stLs = (int) Math.log10(stL) + 1;
 		String format = String.format("[%%%dd]  %%%ds.%%%ds  %%s, %%s", stLs, maxClassNameLength, maxMethodNameLength);
 
 		System.out.println("Stacktrace: ");
 		int n = 1;
-		for (StackTraceElement t : st) {            
+		for (StackTraceElement t : st) {
 			if (t.getClassName().startsWith("org.txm.") && !t.getClassName().startsWith(Log.class.getName())) {
 				System.out.println(String.format(format, n++, t.getClassName(), t.getMethodName(), t.getFileName(), t.getLineNumber()));
 			}
